
package b4a.ClsCustomButton;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class custombutton {
    public static RemoteObject myClass;
	public custombutton() {
	}
    public static PCBA staticBA = new PCBA(null, custombutton.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _meventname = RemoteObject.createImmutable("");
public static RemoteObject _mcallback = RemoteObject.declareNull("Object");
public static RemoteObject _mbase = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _mleft = RemoteObject.createImmutable(0);
public static RemoteObject _mtop = RemoteObject.createImmutable(0);
public static RemoteObject _mwidth = RemoteObject.createImmutable(0);
public static RemoteObject _mheight = RemoteObject.createImmutable(0);
public static RemoteObject _mtext = RemoteObject.createImmutable("");
public static RemoteObject _micon = RemoteObject.createImmutable("");
public static RemoteObject _micontypeface = RemoteObject.declareNull("anywheresoftware.b4a.keywords.constants.TypefaceWrapper");
public static RemoteObject _mtextcolor = RemoteObject.createImmutable(0);
public static RemoteObject _micontextsize = RemoteObject.createImmutable(0f);
public static RemoteObject _mtextsize = RemoteObject.createImmutable(0f);
public static RemoteObject _mtag = RemoteObject.declareNull("Object");
public static RemoteObject _mlabel = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _miconlabel = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _mparent = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static b4a.ClsCustomButton.main _main = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"mBase",_ref.getField(false, "_mbase"),"mCallBack",_ref.getField(false, "_mcallback"),"mEventName",_ref.getField(false, "_meventname"),"mHeight",_ref.getField(false, "_mheight"),"mIcon",_ref.getField(false, "_micon"),"mIconLabel",_ref.getField(false, "_miconlabel"),"mIconTextSize",_ref.getField(false, "_micontextsize"),"mIconTypeface",_ref.getField(false, "_micontypeface"),"mLabel",_ref.getField(false, "_mlabel"),"mLeft",_ref.getField(false, "_mleft"),"mParent",_ref.getField(false, "_mparent"),"mTag",_ref.getField(false, "_mtag"),"mText",_ref.getField(false, "_mtext"),"mTextColor",_ref.getField(false, "_mtextcolor"),"mTextSize",_ref.getField(false, "_mtextsize"),"mTop",_ref.getField(false, "_mtop"),"mWidth",_ref.getField(false, "_mwidth")};
}
}